[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMParentDoubleBufferedChanged

Handles the CM_PARENTDOUBLEBUFFEREDCHANGED control message for the control (when enabled).

## Declaration

Source position: controls.pp line 2200

`protected procedure TWinControl.CMParentDoubleBufferedChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

Sets the value in ParentDoubleBuffered to True. When Parent is assigned, the value in DoubleBufferred is set to the corresponding value from the Parent control.

No actions are performed in the method if ParentDoubleBuffered is already set to False.